### A free/open-source library for quantitative finance

Classes
ql/math/interpolation.hpp File Reference

base class for 1-D interpolations More...

`#include <ql/math/interpolations/extrapolation.hpp>`
`#include <ql/math/comparison.hpp>`
`#include <ql/errors.hpp>`
`#include <vector>`
Include dependency graph for interpolation.hpp:

## Classes

class | Interpolation
| base class for 1-D interpolations. More...
class | Interpolation::Impl
| abstract base class for interpolation implementations More...
class | Interpolation::templateImpl< I1, I2 >
| basic template implementation More...

## Detailed Description

base class for 1-D interpolations